{#
   Plantilla base con los archivos css y js base para la aplicacion 
   Autor: Luis Malquin (luisor_mlt@hotmail.com)
#}

{% extends 'CoreGUIBundle::base.html.twig' %}

{% block head_style %}         
        
   <!--Medical icons-->
    {% stylesheets     
        'bundles/coregui/webfont-medical-icons/wfmi-style.css'  
        filter='cssrewrite' output='css/medical-icon.css'
    %} 
     <link href="{{ asset_url}}" type="text/css" rel="stylesheet" media="screen" />                
    {% endstylesheets%}
    
    {% stylesheets     
        'bundles/coregui/bootstrap/css/bootstrap.min.css'
        'bundles/coregui/bootstrap/font-awesome/5.3.1/css/all.min.css'
        'bundles/coregui/bootstrap/font-awesome/4.5.0/css/font-awesome.min.css'
        'bundles/coregui/bootstrap/css/fonts.googleapis.com.css'
        filter='cssrewrite' output='css/bootstrap.css'
    %} 
     <link href="{{ asset_url}}" type="text/css" rel="stylesheet" media="screen" />                
    {% endstylesheets%}
     
    
    
    <!-- page specific plugin styles -->    
    {% stylesheets     
        'bundles/coregui/jquery/css/jquery-ui.min.css'
        'bundles/coregui/jquery/css/jquery.gritter.min.css'
        filter='cssrewrite' output='css/jqueryplugins.css'
    %} 
     <link href="{{ asset_url}}" type="text/css" rel="stylesheet" media="screen" />                
    {% endstylesheets%} 
    
           
    
    {% stylesheets     
        'bundles/coregui/themes/ace-admin/css/ace.min.css'                
        'bundles/coregui/themes/ace-admin/css/ace-skins.min.css'                
        'bundles/coregui/themes/ace-admin/css/ace-rtl.min.css'                		
        filter='cssrewrite' output='css/theme.css'
    %} 
     <link href="{{ asset_url}}" type="text/css" rel="stylesheet" media="screen" />                
    {% endstylesheets%}
     
    <!--[if lte IE 9]>
        {% stylesheets             
            'bundles/coregui/themes/ace-admin/css/ace-part2.min.css'
            'bundles/coregui/themes/ace-admin/css/ace-ie.min.css'
            filter='cssrewrite' output='css/theme-ie9.css'
        %} 
         <link href="{{ asset_url}}" type="text/css" rel="stylesheet" media="screen" />   
        {% endstylesheets%}         
    <![endif]-->      
    
{% endblock head_style %}

{% block head_script %}
    
    
    {% javascripts
        'bundles/coregui/themes/ace-admin/js/ace-extra.min.js'                 
        output='js/config-theme.js'
    %}
    <script type="text/javascript" src="{{ asset_url }}"></script>
    {% endjavascripts %}  
 
    <!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->

    <!--[if lte IE 8]>
    
    {% javascripts
        'bundles/coregui/jquery/js/html5shiv.min.js'        
        'bundles/coregui/jquery/js/respond.min.js'        
        output='js/html5responds-ie8.js'
    %}
    <script type="text/javascript" src="{{ asset_url }}"></script>
    {% endjavascripts %}      
    
    <![endif]-->    
      
        
    <!--[if !IE]> -->         
       
        {% javascripts
           'bundles/coregui/jquery/js/jquery-2.1.4.min.js'          
            output='js/jquery.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %}              
        
        {#% javascripts
           'bundles/coregui/jquery/js/jquery-1.12.3.js'          
            output='js/jquery.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %#}
    <!-- <![endif]-->
          
    
    <!--[if IE]>
        {% javascripts
           'bundles/coregui/jquery/js/jquery-1.11.3.min.js'           
            output='js/jquery-ie.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %}               
    <![endif]-->            
       
      
   
         <!--mobile-->
        {% javascripts
           'bundles/coregui/jquery/js/jquery.mobile.custom.min.js'     
            output='js/mobile.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %} 
        
        <!--Bootstrap-->
        {% javascripts
           'bundles/coregui/bootstrap/js/bootstrap.min.js'          
            output='js/bootstrap.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %}
        
        <!-- obtenemos y almacenamos el tooltip y boton de bootstrap-->
        <script>
            var bstooltip=$.fn.tooltip;
            
        </script>

        <!--[if lte IE 8]>
                {% javascripts
                   'bundles/coregui/jquery/js/excanvas.min.js'          
                    output='js/excanvas-ie8.js'
                %}
                <script type="text/javascript" src="{{ asset_url }}"></script>
                {% endjavascripts %}		  
        <![endif]-->
        
        <!--Jquery ui-->        
        {% javascripts
           'bundles/coregui/jquery/js/jquery-ui.min.js'
           'bundles/coregui/jquery/js/jquery.gritter.min.js' 
           'bundles/coregui/jquery/js/jquery.ui.touch-punch.min.js'            
            output='js/jquery-plugins.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %}                           
                      
        
        <!-- reemplazamos el tooltip, boton de jquery ui por el de bootstrap-->
        <script>
            $.fn.uitooltip=$.fn.tooltip;           
            $.fn.tooltip=bstooltip;
            
        </script>


        <!--Permite exponer los enrutamientos en el código JavaScript-->
        <script type="text/javascript" src="{{ asset('bundles/fosjsrouting/js/router.js')}}"></script>
        <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script>
        
        
        <!--moment.js manejo de fecha y formatos de fecha-->
        {% javascripts           
           'bundles/coregui/jquery/js/moment.min.js' 
           'bundles/coregui/jquery/js/localization/moment.es.js'
            output='js/moment.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %}    
        
        <!--Herramientas, metodos y utilidades-->
        {% javascripts
           'bundles/coregui/app/js/jquery.includeMany-1.2.2.min.js'
           'bundles/coregui/app/js/utils.min.js'           
           'bundles/coregui/app/js/helper.main.min.js'
           'bundles/coregui/app/js/helper.form.min.js'           
           'bundles/coregui/app/js/helper.datatables.min.js'           
            output='js/helpers.js'
        %}
        <script type="text/javascript" src="{{ asset_url }}"></script>
        {% endjavascripts %}

    <script>
            //Definimos el lenguaje para moment a "es"
            moment.locale('es');
        </script>

{% endblock head_script %}

{% block foot_script_assetic %}


    <!--Configuraciones y componentes para el tema del aplicativo-->
       {% javascripts
          'bundles/coregui/themes/ace-admin/js/ace-elements.min.js'
          'bundles/coregui/themes/ace-admin/js/ace.min.js'
           output='js/theme.js'
       %}
       <script type="text/javascript" src="{{ asset_url }}"></script>
       {% endjavascripts %}
{% endblock foot_script_assetic %}